Summary:   KDE Profiling Visualisation Tool
Name:      kcachegrind
Version:   0.7.3
Release:   1.3
License: GPL
Group:     Development/Tools
Vendor:    (none)
URL:       http://kcachegrind.sourceforge.net
Source:    %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	cmake gcc gcc-c++

%if 0%{?suse_version}
BuildRequires:	update-desktop-files
%endif

%if 0%{?suse_version} >= 1120
BuildRequires:	libqt4-devel >= 4.5 libkde4-devel
%else
%if 0%{?suse_version} && 0%{?sles_version} >= 11
BuildRequires:	libqt4-devel >= 4.5 libkde4-devel
%endif
%endif

%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version}
BuildRequires:	qt4-devel >= 4.5
BuildRequires:	kde-filesystem >= 4
BuildRequires:	kdelibs-devel >= 4
%endif

%if 0%{?fedora_version}
BuildRequires:  kdelibs4-devel
%endif
%if 0%{?suse_version} >= 1130
BuildRequires:  libjpeg6
%else
BuildRequires:  libjpeg
%endif

%description
KCachegrind is a GPL'd tool for quick browsing in and visualisation
of performance data of an application run. This data is produced by
profiling tools and typically includes distribution of cost events
to source code ranges (instructions, source lines, functions, C++ classes)
and call relationship of functions.
KCachegrind has a list of functions sorted according to different cost
types, and can provide various performance views for a function like
direct/indirect callers/callees, TreeMap visualisation of cost distribution
among callees, call graph sectors centered around the function and
annotated source/assembler.
Currently, KCachegrind depends on data delivered by the profiling tool
calltree, powered by the Valgrind runtime instrumentation framework.

%prep
%setup -n %{name}-%{version}

%build
%if 0%{?suse_version}
%cmake_kde4 -d build
%make_jobs
%else
%cmake_kde4
%endif

%install
%if 0%{?suse_version}
pushd build
%endif
%__make DESTDIR=%{buildroot} install
#%kde_post_install
%if 0%{?suse_version}
popd
%endif
%if 0%{?suse_version}
find %{buildroot} -name \*.desktop -exec rm {} \;
%suse_update_desktop_file -c %{name} %{name} %{name} 'kcachegrind -caption "%c" %u' %{name} Development Profiling
%endif
%clean
rm -rf %{buildroot} 


%files
%defattr(-,root,root)
%{_bindir}/dprof2calltree
%{_bindir}/hotshot2calltree
%{_bindir}/kcachegrind
%{_bindir}/memprof2calltree
%{_bindir}/op2calltree
%{_bindir}/pprof2calltree
%dir %{_datadir}/kde4/apps/kcachegrind
%dir %{_datadir}/kde4/apps/kcachegrind/icons
%dir %{_datadir}/kde4/apps/kcachegrind/icons/hicolor
%dir %{_datadir}/kde4/apps/kcachegrind/icons/hicolor/16x16
%dir %{_datadir}/kde4/apps/kcachegrind/icons/hicolor/16x16/actions
%dir %{_datadir}/kde4/apps/kcachegrind/icons/hicolor/22x22
%dir %{_datadir}/kde4/apps/kcachegrind/icons/hicolor/22x22/actions
%dir %{_datadir}/kde4/apps/kcachegrind/icons/hicolor/32x32
%dir %{_datadir}/kde4/apps/kcachegrind/icons/hicolor/32x32/actions
%if 0%{?suse_version}
%{_datadir}/applications/kcachegrind.desktop
%else
%dir %{_datadir}/applications/kde4
%{_datadir}/applications/kde4/kcachegrind.desktop
%endif
%{_datadir}/icons/hicolor/32x32/apps/kcachegrind.png
%{_datadir}/icons/hicolor/48x48/apps/kcachegrind.png
%{_datadir}/kde4/apps/kcachegrind/icons/hicolor/16x16/actions/move.png
%{_datadir}/kde4/apps/kcachegrind/icons/hicolor/16x16/actions/percent.png
%{_datadir}/kde4/apps/kcachegrind/icons/hicolor/22x22/actions/hidetemplates.png
%{_datadir}/kde4/apps/kcachegrind/icons/hicolor/22x22/actions/move.png
%{_datadir}/kde4/apps/kcachegrind/icons/hicolor/22x22/actions/percent.png
%{_datadir}/kde4/apps/kcachegrind/icons/hicolor/32x32/actions/percent.png
%{_datadir}/kde4/apps/kcachegrind/kcachegrindui.rc
%{_datadir}/kde4/apps/kcachegrind/tips

%changelog
* Sun Jan  6 2013 cs@linux-administrator.com
- update to release 0.7.3
* Tue Sep 18 2012 cs@linux-administrator.com
- initial package
